# Spotracker
![image](https://github.com/SirisilpK/year-project-thanidacwn/assets/92778351/de700866-6f24-44c3-997d-9ab129d6cc40)

 
## Description
This project aims to analyze a dataset containing songs of various artists around the world. The dataset includes statistics of each song's music version on Spotify, such as the number of streams, and the number of views of the official music video on YouTube.

## Data Sources
The dataset is available on Kaggle at the following link: https://www.kaggle.com/datasets/salvatorerastelli/spotify-and-youtube?select=Spotify_Youtube.csv
 
## Running the Application
To run the application, you will need to install the following packages:
- pandas
- numpy
- matplotlib
- seaborn

Python version 3.11.0 was used to develop this application.
 
## Design
Class Diagram <br>
![image](https://user-images.githubusercontent.com/92778351/236844700-1d2471b8-dff9-4163-87d5-1bb5f35403f8.png)<br>
Sequence Diagram<br>
![image](https://github.com/SirisilpK/year-project-thanidacwn/assets/92778351/105ff15d-5af1-45e3-be4c-18b8ea4ad084)

 
## Design Patterns Used
- Facade Pattern
- State Pattern
 
## Graph Algorithm Used
- Dijkstra's Algorithm (No show in Gui application)

## Other Information
- The application is developed using the Facade design pattern.
- The application is developed using the State design pattern.
- The application is developed using the Dijkstra's algorithm.

