import pandas as pd

class ReadSongData:
    """ Read data from Spotify_Youtube.csv """

    def __init__(self):
        """ Read data from Spotify_Youtube.csv"""
        self.data = pd.read_csv('Spotify_Youtube.csv')
        self.data.drop(['Unnamed: 0', 'Url_spotify', 'Album_type', 'Uri', 
                        'Danceability', 'Energy', 'Key', 'Speechiness', 
                        'Instrumentalness', 'Liveness','Valence', 'Url_youtube', 
                        'Comments', 'Description', 'Licensed','official_video'], 
                        axis=1, inplace=True)
        self.data.dropna(inplace=True)

    def get_youtube_info(self):
        """ copy data and drop not use"""
        self.youtube = self.data.copy()
        self.youtube.drop(['Track', 'Loudness', 'Acousticness', 'Tempo', 'Stream'], axis=1, inplace=True)
        return self.youtube

    
    def get_spotify_info(self):
        """ copy data and drop not use """
        self.spotify = self.data.copy()
        self.spotify.drop(['Title', 'Channel', 'Views', 'Likes'], axis=1, inplace=True)
        return self.spotify