from ReadSongData import ReadSongData

class YoutubeInfo:
    """ Get Youtube info """

    def __init__(self):
        self.data = ReadSongData().get_youtube_info()

    def get_artist(self):
        return self.data['Artist'].unique()
    
    def get_album(self):
        return self.data['Album'].unique()
    
    def get_title(self):
        return self.data['Title'].unique()
    
    def get_channel(self):
        return self.data['Channel'].unique()
    
    def get_views(self):
        return self.data['Views'].unique()
    
    def get_likes(self):
        return self.data['Likes'].unique()

    