from ReadSongData import ReadSongData

class SpotifyInfo:
    """ Get Spotify info """

    def __init__(self):
        self.data = ReadSongData().get_spotify_info()

    def get_artist(self):
        return self.data['Artist'].unique()
    
    def get_track(self):
        return self.data['Track'].unique()
    
    def get_album(self):
        return self.data['Album'].unique()
    
    def get_stream(self):
        return self.data['Stream'].unique()
    
    